@import "components-constant.css";
html, body {
    font-family: var(--kc-font-family)!important;
    font-size: var(--kc-font-size-15)!important;
}

/*Font Family*/
.kc-font-family {
    font-family: var(--kc-font-family);
}

/* Font colors */
.kc-primary-font-color{
   color:var(--kc-primary-font-color)!important;
}
.kc-primary-second-font-color{
   color:var(--kc-primary-second-font-color)!important;
}
.kc-secondar-font-color{
   color:var(--kc-secondary-font-color)!important;
}
.kc-regular-font-color{
   color:var(--kc-regular-font-color)!important;
}
.kc-white-font-color{
   color:var(--kc-white-font-color)!important;
}
.kc-black-font-color{
   color:var(--kc-black-font-color)!important;
}
.kc-success-status-font-color{
    color: var(--kc-success-status-color)!important;
}
.kc-danger-status-font-color{
    color: var(--kc-status-danger-color)!important;
}
.kc-warning-status-font-color{
    color: var(--kc-status-warning-color)!important;
}
.kc-info-status-font-color{
    color: var(--kc-status-info-color)!important;
}


/*Font Sizes*/
.kc-font-size-10 {
    font-size: var(--kc-font-size-10)!important;
}
.kc-font-size-12 {
    font-size: var(--kc-font-size-12)!important;
}
.kc-font-size-13 {
    font-size: var(--kc-font-size-13)!important;
}
.kc-font-size-14 {
    font-size: var(--kc-font-size-14)!important;
}
.kc-font-size-15 {
    font-size: var(--kc-font-size-15)!important;
}
.kc-font-size-16 {
    font-size: var(--kc-font-size-16)!important;
}
.kc-font-size-18 {
    font-size: var(--kc-font-size-18)!important;
}
.kc-font-size-20 {
    font-size: var(--kc-font-size-20)!important;
}
.kc-font-size-22 {
    font-size: var(--kc-font-size-22)!important;
}
.kc-font-size-24 {
    font-size: var(--kc-font-size-24)!important;
}
.kc-font-size-26 {
    font-size: var(--kc-font-size-26)!important;
}
.kc-font-size-28 {
    font-size: var(--kc-font-size-28)!important;
}
.kc-font-size-30 {
    font-size: var(--kc-font-size-30)!important;
}

/*Font Weightages*/
.kc-font-weight-100 {
    font-weight: var(--kc-font-weight-100)!important;
}
.kc-font-weight-300 {
    font-weight: var(--kc-font-weight-300)!important;
}
.kc-font-weight-400 {
    font-weight: var(--kc-font-weight-400)!important;
}
.kc-font-weight-500 {
    font-weight: var(--kc-font-weight-500)!important;
}
.kc-font-weight-600 {
    font-weight: var(--kc-font-weight-600)!important;
}
.kc-font-weight-700 {
    font-weight: var(--kc-font-weight-700)!important;
}
.kc-font-weight-800 {
    font-weight: var(--kc-font-weight-800)!important;
}
.kc-font-weight-900 {
    font-weight: var(--kc-font-weight-900)!important;
}

/* HR Divider*/
.kc-divider {
    display: block;
    flex: 1 1 100%;
    height: 0;
    max-height: 0;
    transition: inherit;
    border-color: #EBEBEB;
    border-style: solid;
    border-width: thin 0 0 0;
}

.kc-divider-vertical {
    align-self: stretch;
    border-width: 0 thin 0 0;
    display: inline-flex;
    height: inherit;
    margin-left: -0.063rem;
    max-height: 100%;
    max-width: 0;
    vertical-align: text-bottom;
    width: 0;
}

/*Display*/
.kc-display-block {
    display: var(--kc-display-block);
}
.kc-display-inline-block {
    display: var(--kc-display-inline-block);
}
.kc-display-none {
    display: var(--kc-display-none);
} 
.kc-display-inherit {
    display: var(--kc-display-inherit);
}

.kc-display-flex{
    display: flex;
}
.kc-display-inline-flex{
    display: inline-flex;
}
.kc-display-grid{
    display: grid;
}
.kc-display-inline-grid{
    display: inline-grid;
} 


/* Flex Wrap */
.flex-wrap-nowrap {
    flex-wrap: nowrap!important;
} 
.flex-wrap {
    flex-wrap: wrap!important;
}

/* Flex Direction Row */
.flex-direction-row {
    flex-direction: row!important;
}
.flex-direction-column {
    flex-direction: column!important;
}
.flex-direction-row-reverse {
    flex-direction: row-reverse!important;
}
.flex-direction-column-reverse {
    flex-direction: column-reverse!important;
}

/* Align Content */
.align-content-normal {
    align-content: normal!important;
}
.align-content-center{
    align-content: center!important;
}
.align-content-flex-start {
    align-content: flex-start!important;
}
.align-content-flex-end{
   align-content: flex-end!important;
}
.align-content-space-around {
   align-content: space-around!important;
}
.align-content-space-between {
   align-content: space-between!important;
}
.align-content-stretch{
   align-content: stretch!important;
}

/* Justify Content*/
.justify-content-normal{
    justify-content: normal!important;
}
.justify-content-center {
    justify-content: center!important;
}
.justify-content-flex-start {
    justify-content: flex-start!important;
}
.justify-content-flex-end {
    justify-content: flex-end!important;
}
.justify-content-space-between {
    justify-content: space-between!important;
}
.justify-content-space-around {
    justify-content: space-around!important;
}
.justify-content-space-evenly {
    justify-content: space-evenly!important;
}

/* Align Items*/
.align-items-normal{
    align-items: normal!important;
} 
.align-items-center{
    align-items: center!important;
} 
.align-items-flex-start{
    align-items: flex-start!important;
} 
.align-items-flex-end{
    align-items: flex-end!important;
} 
.align-items-stretch{
    align-items: stretch!important;
} 
.align-items-baseline{
    align-items: baseline!important;
} 
 
/*Buttons*/
/*Primary Button*/
.btn.btn-primary {
    height: 2.5rem!important;
    padding: 0.625rem!important;
    margin: 0rem!important;
    font-size: var(--kc-font-size-15)!important;
    line-height: var(--kc-font-line-height-20)!important;
    font-weight: var(--kc-font-weight-500)!important;
    color: var(--kc-primary-button-font-color)!important;
    background-color: var(--kc-primary-color)!important;
    border-radius: var(--kc-border-radius)!important;
    border: 0rem!important;
    display: flex!important;
    flex-direction: row!important;
    flex-wrap: nowrap!important;
    align-content: center!important;
    justify-content: center!important;
    align-items: center!important;
} 
.btn.btn-primary:hover {
    background-color: var(--kc-primary-color)!important;
    box-shadow: var(--kc-button-box-shadow)!important;
    color: var(--kc-primary-button-hover-font-color)!important;
    cursor: pointer!important;
}
.btn.btn-primary:focus {
    box-shadow: var(--kc-button-box-shadow)!important;
    background-color: var(--kc-primary-dark-color)!important;
    color: var(--kc-primary-button-hover-font-color)!important;
}
.btn.btn-primary[disabled] {
    background-color: var(--kc-primary-button-disabled-background-color)!important;
    color: var(--kc-primary-button-disabled-font-color)!important;
    cursor: not-allowed!important;
} 
.btn.btn-primary i{
    margin: 0px 5px;
}
.btn.btn-danger.btn-icon{ 
    border-radius: var(--kc-border-radius)!important;
}
.btn.btn-az-primary {
    height: 2.5rem!important;
    padding: 0.625rem!important;
    margin: 0rem!important;
    font-size: var(--kc-font-size-15)!important;
    line-height: var(--kc-font-line-height-20)!important;
    font-weight: var(--kc-font-weight-500)!important;
    color: var(--kc-primary-button-font-color)!important;
    background-color: var(--kc-primary-color)!important;
    border-radius: var(--kc-border-radius)!important;
    border: 0rem!important;
    display: flex!important;
    flex-direction: row!important;
    flex-wrap: nowrap!important;
    align-content: center!important;
    justify-content: center!important;
    align-items: center!important;
} 
.btn.btn-az-primary:hover {
    background-color: var(--kc-primary-color)!important;
    box-shadow: var(--kc-button-box-shadow)!important;
    color: var(--kc-primary-button-hover-font-color)!important;
    cursor: pointer!important;
}
.btn.btn-az-primary:focus {
    box-shadow: var(--kc-button-box-shadow)!important;
    background-color: var(--kc-primary-dark-color)!important;
    color: var(--kc-primary-button-hover-font-color)!important;
}
.btn.btn-az-primary[disabled] {
    background-color: var(--kc-primary-button-disabled-background-color)!important;
    color: var(--kc-primary-button-disabled-font-color)!important;
    cursor: not-allowed!important;
} 
.btn.btn-indigo {
    height: 2.5rem!important;
    padding: 0.625rem!important;
    margin: 0rem!important;
    font-size: var(--kc-font-size-15)!important;
    line-height: var(--kc-font-line-height-20)!important;
    font-weight: var(--kc-font-weight-500)!important;
    color: var(--kc-primary-button-font-color)!important;
    background-color: var(--kc-primary-color)!important;
    border-radius: var(--kc-border-radius)!important;
    border: 0rem!important;
    display: flex!important;
    flex-direction: row!important;
    flex-wrap: nowrap!important;
    align-content: center!important;
    justify-content: center!important;
    align-items: center!important;
} 
.btn.btn-indigo:hover {
    background-color: var(--kc-primary-color)!important;
    box-shadow: var(--kc-button-box-shadow)!important;
    color: var(--kc-primary-button-hover-font-color)!important;
    cursor: pointer!important;
}
.btn.btn-indigo:focus {
    box-shadow: var(--kc-button-box-shadow)!important;
    background-color: var(--kc-primary-dark-color)!important;
    color: var(--kc-primary-button-hover-font-color)!important;
}
.btn.btn-indigo[disabled] {
    background-color: var(--kc-primary-button-disabled-background-color)!important;
    color: var(--kc-primary-button-disabled-font-color)!important;
    cursor: not-allowed!important;
} 
.btn.btn-indigo i{
    margin: 0px 5px;
}
 

/*Secondary Button*/
.btn.btn-secondary {
    height: 2.5rem;
    padding: 0.625rem;
    margin: 0rem;
    font-size: var(--kc-font-size-15);
    line-height: var(--kc-font-line-height-15);
    font-weight: var(--kc-font-weight-500);
    color: var(--kc-secondary-button-font-color);
    background-color: var(--kc-transparent-background-color);
    border-radius: var(--kc-border-radius);
    border: 0.063rem solid var(--kc-primary-color);
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-content: center;
    justify-content: center;
    align-items: center;
    cursor: pointer;
} 
 
.btn.btn-secondary:hover {
    background-color: var(--kc-secondary-button-hover-background-color);
    box-shadow: var(--kc-button-box-shadow);
    color: var(--kc-secondary-button-hover-font-color);    
    border: 0.125rem solid var(--kc-primary-color);
    cursor: pointer;
}
.btn.btn-secondary:focus {
    box-shadow: var(--kc-button-box-shadow);
    background: var(--kc-primary-light-color);
    color: var(--kc-secondary-button-hover-font-color);   
    border: 0.063rem solid var(--kc-primary-color);
}
.btn.btn-secondary[disabled] {
    background-color: var(--kc-secondary-button-disabled-background-color);
    color: var(--kc-secondary-button-disabled-font-color);
    border: 0.063rem solid var(--kc-secondary-button-disabled-border-color);
    cursor: not-allowed!important;
} 

/* Forms Container */
.kc-form-element-container {
    float: var(--kc-float-left);
    width: 100%;
    padding: 0rem;
    margin: 0rem;
}
.form-group{
    margin-bottom: 2rem!important;
} 
 

/* Forms Multi Select Components */
.select2-container--default .select2-selection--single {
    width: 100%!important;
    border: 0rem!important;
   padding: 0rem;
    font-family: var(--kc-font-family)!important;
    font-size: var(--kc-font-size-15)!important;
    color: var(--kc-secondary-font-color)!important;
    background: var(--kc-form-element-multi-select-background-color)!important;
}
.select2-container--default .select2-selection--single {
    width: 100%!important;
    height: 2.5rem!important;
    box-shadow: inherit!important;
    border-radius: var(--kc-border-radius)!important;
    border: 0.063rem solid var(--kc-form-element-multi-select-border-color)!important;
    padding: 0.375rem!important;
    margin: 0rem!important;
    letter-spacing: inherit!important;
    background: var(--kc-transparent-background-color)!important;
    font-family: var(--kc-font-family)!important;
    font-size: var(--kc-font-size-15)!important;
    line-height: var(--kc-font-line-height-15)!important;
    font-weight: var(--kc-font-weight-400)!important;
    color: var(--kc-secondary-font-color)!important;
    text-transform: inherit!important;
    text-shadow: inherit!important;
    overflow-y: auto;
}

.select2-container--default .select2-selection--single{
    height: 2.5rem!important;
}

.select2-container--default .select2-selection--single:hover {
    background: var(--kc-form-element-multi-select-background-color)!important;
    border-color: var(--kc-form-element-multi-select-hover-border-color)!important;
}
.select2-container--default .select2-selection--single:focus {
    background: var(--kc-form-element-multi-select-background-color)!important;
    border-color: var(--kc-form-element-multi-select-focus-border-color)!important;
    box-shadow: var(--kc-form-element-multi-select-focus-box-shadow)!important;
} 
  
.select2-container--default .select2-selection--multiple {
    width: 100%!important;
    border: 0rem!important;
   padding: 0rem;
    font-family: var(--kc-font-family)!important;
    font-size: var(--kc-font-size-15)!important;
    color: var(--kc-secondary-font-color)!important;
    background: var(--kc-form-element-multi-select-background-color)!important;
}
.select2-container--default .select2-selection--multiple {
    width: 100%!important;
    height: 2.5rem!important;
    box-shadow: inherit!important;
    border-radius: var(--kc-border-radius)!important;
    border: 0.063rem solid var(--kc-form-element-multi-select-border-color)!important;
    padding: 0.375rem!important;
    margin: 0rem!important;
    letter-spacing: inherit!important;
    background: var(--kc-transparent-background-color)!important;
    font-family: var(--kc-font-family)!important;
    font-size: var(--kc-font-size-15)!important;
    line-height: var(--kc-font-line-height-15)!important;
    font-weight: var(--kc-font-weight-400)!important;
    color: var(--kc-secondary-font-color)!important;
    text-transform: inherit!important;
    text-shadow: inherit!important;
    overflow-y: auto;
}

.select2-container--default .select2-selection--multiple{
    height: 2.5rem!important;
}

.select2-container--default .select2-selection--multiple:hover {
    background: var(--kc-form-element-multi-select-background-color)!important;
    border-color: var(--kc-form-element-multi-select-hover-border-color)!important;
}
.select2-container--default .select2-selection--multiple:focus {
    background: var(--kc-form-element-multi-select-background-color)!important;
    border-color: var(--kc-form-element-multi-select-focus-border-color)!important;
    box-shadow: var(--kc-form-element-multi-select-focus-box-shadow)!important;
} 

.select2-container--default .select2-selection--multiple .select2-selection__choice{
        border-radius: var(--kc-border-radius)!important;
        background-color: var(--kc-primary-color)!important;
}

.az-content-body .card.card-dashboard-seven .az-content-body{
    padding: 0px!important;
}
.az-content-dashboard-five .card {
    float: var(--kc-float-left);
    width: 100%;
    margin: 0 0 1.5rem 0;
    padding: 2rem;
    background: var(--kc-page-card-background-color);
    border: 0rem;
    box-shadow: var(--kc-page-card-box-shadow);
    border-radius: var(--kc-border-radius);
}  
 

/*Card Font Styling CSS*/
 
.card-dashboard-six .az-content-label, .card-dashboard-map-one .az-content-label {
    float: var(--kc-float-left)!important;
    position: var(--kc-position-relative)!important;
    margin: 0 0 1rem 0!important;
    padding: 0rem!important;
    font-family: var(--kc-font-family)!important;
    color: var(--kc-primary-color)!important;
    font-size: var(--kc-font-size-18)!important;
    line-height: var(--kc-font-line-height-18)!important;
    font-weight: var(--kc-font-weight-700)!important;
    text-transform: inherit!important;
}
.card-dashboard-six .az-content-label:after, .card-dashboard-map-one .az-content-label:after {
    content: ''!important;
    width: 10%!important;
    height: 0.188rem!important;
    background: var(--kc-primary-color)!important;
    position: var(--kc-position-absolute)!important;
    bottom: -0.625rem!important;
    left: 0rem!important;
    margin: 0rem!important;
    padding: 0rem!important;
} 
.card-table-two .card-title {
    float: var(--kc-float-left)!important;
    position: var(--kc-position-relative)!important;
    margin: 0 0 1rem 0!important;
    padding: 0rem!important;
    font-family: var(--kc-font-family)!important;
    color: var(--kc-primary-color)!important;
    font-size: var(--kc-font-size-18)!important;
    line-height: var(--kc-font-line-height-18)!important;
    font-weight: var(--kc-font-weight-700)!important;
    text-transform: inherit!important;
}
.card-table-two .card-title:after {
    content: ''!important;
    width: 10%!important;
    height: 0.188rem!important;
    background: var(--kc-primary-color)!important;
    position: var(--kc-position-absolute)!important;
    bottom: -0.625rem!important;
    left: 0rem!important;
    margin: 0rem!important;
    padding: 0rem!important;
} 
.customer360 .az-content-label { 
    position: var(--kc-position-relative)!important;
    margin: 0 0 1rem 0!important;
    padding: 0rem!important;
    font-family: var(--kc-font-family)!important;
    color: var(--kc-primary-color)!important;
    font-size: var(--kc-font-size-18)!important;
    line-height: var(--kc-font-line-height-18)!important;
    font-weight: var(--kc-font-weight-700)!important;
    text-transform: inherit!important;
}
.customer360 .az-content-label:after {
    content: ''!important;
    width: 10%!important;
    height: 0.188rem!important;
    background: var(--kc-primary-color)!important;
    position: var(--kc-position-absolute)!important;
    bottom: -0.625rem!important;
    left: 0rem!important;
    margin: 0rem!important;
    padding: 0rem!important;
} 
  
 
/* Table Components */ 
table.table-striped.table-dashboard-two {
    float: var(--kc-float-left)!important;
    width: 100%!important;
    margin: 0rem!important;
    padding: 0rem!important;
    font-family: var(--kc-font-family)!important;
    background: var(--kc-table-background-color)!important;
    border-top: 0.063rem solid var(--kc-table-border-color)!important;
    border-right: 0rem!important;
    border-bottom: 0rem!important;
    border-left: 0rem!important;
}
table.table-striped.table-dashboard-two tr th {
    padding:1rem 0.5rem!important;
    margin: 0rem!important;
    text-transform: inherit!important;
    letter-spacing: inherit!important;
    color: var(--kc-primary-second-font-color)!important;
    font-size: var(--kc-font-size-16)!important;
    font-weight: var(--kc-font-weight-700)!important;
    background-color: var(--kc-table-th-background-color)!important;
    border: 0rem!important;
}
table.table-striped.table-dashboard-two tr td {
    padding: 0.625rem 0.625rem!important;
    margin: 0rem!important;
    color: var(--kc-primary-second-font-color)!important;
    font-size: var(--kc-font-size-16)!important;
    font-weight: var(--kc-font-weight-400)!important;
    border: 0rem!important;
}
table.table-striped.table-dashboard-two tr:hover{
    background: var(--kc-table-row-hover-background-color)!important;
} 

table.table-striped.table-dashboard-two tbody tr:nth-of-type(odd) {
     background: var(--kc-white-background-color)!important;
}
table.table-striped.table-dashboard-two tbody tr:nth-of-type(even) {
    background-color: rgba(0, 0, 0, 0.03);
}
table.table-striped.table-dashboard-two tr:hover{
    background: var(--vs-table-row-hover-background-color)!important;
}
table.table-striped.table-dashboard-two tr:last-child:hover{
    background: var(--vs-transparent-background-color)!important;
}
table.table-striped.table-dashboard-two tr th:first-child { 
    padding-left: 0.938rem!important;
}
table.table-striped.table-dashboard-two tr th:last-child { 
    padding-right: 0.938rem!important;
} 
table.table-striped.table-dashboard-two tr td:first-child { 
    padding-left: 0.938rem!important;
}
table.table-striped.table-dashboard-two tr td:last-child { 
    padding-right: 0.938rem!important;
} 

  
/* Modal Popup Components*/
.modal-content{
    border: 0rem!important;
    border-radius: var(--kc-border-radius); 
}
.modal-header { 
    width: 100%;
    margin:0;
    padding:2rem 2rem 0rem 2rem!important;
    border-bottom:0rem!important;
}
.modal-title {
    float: var(--kc-float-left);
    position: var(--kc-position-relative);
    margin: 0rem;
    padding: 0rem;
    font-family: var(--kc-font-family);
    color: var(--kc-primary-color);
    font-size: var(--kc-font-size-18);
    line-height: var(--kc-font-line-height-18);
    font-weight: var(--kc-font-weight-500);
}
.modal-title:after {
    content: '';
    width: 40%;
    height: 0.188rem;
    background: var(--kc-primary-color);
    position: var(--kc-position-absolute);
    bottom: -1rem;
    left: 0rem;
    margin: 0rem;
    padding: 0rem;
}

.modal-header .close{
    opacity:inherit!important;
}

.modal-header .close span{
    font-size: var(--kc-font-size-40);
    font-weight: var(--kc-font-weight-100);
    color: var(--kc-black-font-color);
}

.modal-body{    
    width: 100%;
    margin:0;
    padding:2rem!important;
}

.modal-footer { 
    width: 100%;
    margin:0;
    padding: 0rem 2rem 2rem 2rem!important;    
    border-top:0rem!important;
}
   
 /* Sidebar Menu  */  
 .az-sidebar{
    float: var(--kc-float-left)!important;
    inline-size: 14rem;
    position: fixed;
    top: 0;
    left: 0;
    margin: 0rem!important;
    padding: 0rem!important;
    background: var(--kc-primary-color)!important;
    box-shadow: var(--kc-sidebar-menu-box-shadow)!important;  
    border: 0px!important; 
    z-index: 1;
    height: 100%;    
      transition: transform .25s ease-in-out,inline-size .25s ease-in-out,box-shadow .25s ease-in-out;
      will-change: transform,inline-size;
}
.az-body-sidebar .az-content.removeSidebar{
    padding-inline-start: 0rem!important;
 }

.az-body-sidebar .az-content {
    width: 100%;
    padding-inline-start: 14rem!important;   
}
 
 /* Header Action Dropdown Menu */
.dropdown.vs-table-action-dropdown-menu {
    padding: 0rem;
    margin: 0rem;
}
.dropdown-menu {
    min-width: 12.5rem!important;
    padding: 1rem!important;
    margin: 0rem!important;
    border: 0.063rem solid var(--kc-table-action-dropdown-menu-border-color)!important;
    background: var(--kc-table-action-dropdown-menu-background-color)!important;
    border-radius: var(--kc-border-radius)!important;
    box-shadow: var(--kc-table-action-dropdown-menu-box-shadow)!important; 
}
/*.dropdown.vs-table-action-dropdown-menu .dropdown-menu a.dropdown-item {
    float: var(--vs-float-left);
    width: 100%;
    padding: 0.625rem 1.25rem;
    margin: 0rem;
    font-size: var(--vs-font-size-15);
    font-family: var(--vs-font-family);
    color: var(--vs-secondary-font-color);
    font-weight: var(--vs-font-weight-500);
    border-bottom: 0.063rem solid var(--vs-table-action-dropdown-menu-border-color);
}*/

/* Floats */
.kc-float-left {
    float: var( --kc-float-left)!important;
}
.kc-float-right {
    float: var(--kc-float-right)!important;
}
.kc-float-none {
    float: var( --kc-float-none)!important;
}
.kc-float-inherit {
    float: var( --kc-float-inherit)!important;
}

/* Whidth */
.kc-width-full {
    width: var(--kc-width-full)!important;
}
.kc-width-full-none {
    width: var(--kc-width-full-none)!important;
}
.kc-width-half {
    width: var(--kc-width-half)!important;
}
.kc-width-half-none {
    width: var(--kc-width-half-none)!important;
}

/*Background Colors Commons*/
.kc-body-background-color {
    background: var(--kc-body-background-color)!important;
}
.kc-white-background-color {
    background: var(--kc-white-background-color)!important;
}
.kc-transparent-background-color {
    background: var(--kc-transparent-background-color)!important;
}
.kc-primary-background-color {
    background: var(--kc-primary-color)!important;
}
.kc-primary-dark-background-color {
    background: var(--kc-primary-dark-color)!important;
}
.kc-primary-light-background-color {
    background: var(--kc-primary-light-color)!important;
}
.kc-secondary-background-color {
    background: var(--kc-secondary-color)!important;
} 
.kc-secondary-light-background-color {
    background: var(--kc-secondary-light-color)!important;
} 
.kc-secondary-very-light-background-color {
    background: var(--kc-secondary-very-light-color)!important;
}  


/* Box Shadow */
.kc-box-shadow-none {
    box-shadow: inherit!important;
}

/* Border */
.kc-border-0 {
    border: 0rem!important;
}

.kc-border {
    border: 0.063rem solid var(--kc-border-color)!important;
}

.kc-border-top {
    border-top: 0.063rem solid var(--kc-border-color)!important;
}

.kc-border-bottom {
    border-bottom: 0.063rem solid var(--kc-border-color)!important;
}

.kc-border-right {
    border-right: 0.063rem solid var(--kc-border-color)!important;
}

.kc-border-left {
    border-left: 0.063rem solid var(--kc-border-color)!important;
}

/*Position*/
.kc-position-relative {
    position: var(--kc-position-relative);
}
.kc-position-absolute {
    position: var(--kc-position-absolute);
}
.kc-position-fixed {
    position: var(--kc-position-fixed);
}
.kc-position-static {
    position: var(--kc-position-static);
}
.kc-position-sticky {
    position: var(--kc-position-sticky);
}
.kc-position-none {
    position: var(--kc-position-none);
}

/* Padding */
.kc-padding-all-0 {
    padding: var(--kc-padding-0)!important;
}
.kc-padding-all-2 {
    padding: var(--kc-padding-2)!important;
}
.kc-padding-all-5 {
    padding: var(--kc-padding-5)!important;
}
.kc-padding-all-10 {
    padding: var(--kc-padding-10)!important;
}
.kc-padding-all-15 {
    padding: var(--kc-padding-15)!important;
}
.kc-padding-all-20 {
    padding: var(--kc-padding-20)!important;
}
.kc-padding-all-25 {
    padding: var(--kc-padding-25)!important;
}
.kc-padding-all-30 {
    padding: var(--kc-padding-30)!important;
}
.kc-padding-all-35 {
    padding: var(--kc-padding-35)!important;
}
.kc-padding-all-40 {
    padding: var(--kc-padding-40)!important;
}
.kc-padding-all-45 {
    padding: var(--kc-padding-45)!important;
}
.kc-padding-all-50 {
    padding: var(--kc-padding-50)!important;
}
.kc-padding-top-0 {
    padding-top: var(--kc-padding-0)!important;
}
.kc-padding-top-2 {
    padding-top: var(--kc-padding-2)!important;
}
.kc-padding-top-5 {
    padding-top: var(--kc-padding-5)!important;
}
.kc-padding-top-10 {
    padding-top: var(--kc-padding-10)!important;
}
.kc-padding-top-15 {
    padding-top: var(--kc-padding-15)!important;
}
.kc-padding-top-20 {
    padding-top: var(--kc-padding-20)!important;
}
.kc-padding-top-25 {
    padding-top: var(--kc-padding-25)!important;
}
.kc-padding-top-30 {
    padding-top: var(--kc-padding-30)!important;
}
.kc-padding-top-35 {
    padding-top: var(--kc-padding-35)!important;
}
.kc-padding-top-40 {
    padding-top: var(--kc-padding-40)!important;
}
.kc-padding-top-45 {
    padding-top: var(--kc-padding-45)!important;
}
.kc-padding-top-50 {
    padding-top: var(--kc-padding-50)!important;
}
.kc-padding-right-0 {
    padding-right: var(--kc-padding-0)!important;
}
.kc-padding-right-2 {
    padding-right: var(--kc-padding-2)!important;
}
.kc-padding-right-5 {
    padding-right: var(--kc-padding-5)!important;
}
.kc-padding-right-10 {
    padding-right: var(--kc-padding-10)!important;
}
.kc-padding-right-15 {
    padding-right: var(--kc-padding-15)!important;
}
.kc-padding-right-20 {
    padding-right: var(--kc-padding-20)!important;
}
.kc-padding-right-25 {
    padding-right: var(--kc-padding-25)!important;
}
.kc-padding-right-30 {
    padding-right: var(--kc-padding-30)!important;
}
.kc-padding-right-35 {
    padding-right: var(--kc-padding-35)!important;
}
.kc-padding-right-40 {
    padding-right: var(--kc-padding-40)!important;
}
.kc-padding-right-45 {
    padding-right: var(--kc-padding-45)!important;
}
.kc-padding-right-50 {
    padding-right: var(--kc-padding-50)!important;
}
.kc-padding-bottom-0 {
    padding-bottom: var(--kc-padding-0)!important;
}
.kc-padding-bottom-2 {
    padding-bottom: var(--kc-padding-2)!important;
}
.kc-padding-bottom-5 {
    padding-bottom: var(--kc-padding-5)!important;
}
.kc-padding-bottom-10 {
    padding-bottom: var(--kc-padding-10)!important;
}
.kc-padding-bottom-15 {
    padding-bottom: var(--kc-padding-15)!important;
}
.kc-padding-bottom-20 {
    padding-bottom: var(--kc-padding-20)!important;
}
.kc-padding-bottom-25 {
    padding-bottom: var(--kc-padding-25)!important;
}
.kc-padding-bottom-30 {
    padding-bottom: var(--kc-padding-30)!important;
}
.kc-padding-bottom-35 {
    padding-bottom: var(--kc-padding-35)!important;
}
.kc-padding-bottom-40 {
    padding-bottom: var(--kc-padding-40)!important;
}
.kc-padding-bottom-45 {
    padding-bottom: var(--kc-padding-45)!important;
}
.kc-padding-bottom-50 {
    padding-bottom: var(--kc-padding-50)!important;
}
.kc-padding-left-0 {
    padding-left: var(--kc-padding-0)!important;
}
.kc-padding-left-2 {
    padding-left: var(--kc-padding-2)!important;
}
.kc-padding-left-5 {
    padding-left: var(--kc-padding-5)!important;
}
.kc-padding-left-10 {
    padding-left: var(--kc-padding-10)!important;
}
.kc-padding-left-15 {
    padding-left: var(--kc-padding-15)!important;
}
.kc-padding-left-20 {
    padding-left: var(--kc-padding-20)!important;
}
.kc-padding-left-25 {
    padding-left: var(--kc-padding-25)!important;
}
.kc-padding-left-30 {
    padding-left: var(--kc-padding-30)!important;
}
.kc-padding-left-35 {
    padding-left: var(--kc-padding-35)!important;
}
.kc-padding-left-40 {
    padding-left: var(--kc-padding-40)!important;
}
.kc-padding-left-45 {
    padding-left: var(--kc-padding-45)!important;
}
.kc-padding-left-50 {
    padding-left: var(--kc-padding-50)!important;
}
.kc-padding-left-right-0 {
    padding-left: var(--kc-padding-0)!important;
    padding-right: var(--kc-padding-0)!important;
}
.kc-padding-left-right-2 {
    padding-left: var(--kc-padding-2)!important;
    padding-right: var(--kc-padding-2)!important;
}
.kc-padding-left-right-5 {
    padding-left: var(--kc-padding-5)!important;
    padding-right: var(--kc-padding-5)!important;
}
.kc-padding-left-right-10 {
    padding-left: var(--kc-padding-10)!important;
    padding-right: var(--kc-padding-10)!important;
}
.kc-padding-left-right-15 {
    padding-left: var(--kc-padding-15)!important;
    padding-right: var(--kc-padding-15)!important;
}
.kc-padding-left-right-20 {
    padding-left: var(--kc-padding-20)!important;
    padding-right: var(--kc-padding-20)!important;
}
.kc-padding-left-right-25 {
    padding-left: var(--kc-padding-25)!important;
    padding-right: var(--kc-padding-25)!important;
}
.kc-padding-left-right-30 {
    padding-left: var(--kc-padding-30)!important;
    padding-right: var(--kc-padding-30)!important;
}
.kc-padding-left-right-35 {
    padding-left: var(--kc-padding-35)!important;
    padding-right: var(--kc-padding-35)!important;
}
.kc-padding-left-right-40 {
    padding-left: var(--kc-padding-40)!important;
    padding-right: var(--kc-padding-40)!important;
}
.kc-padding-left-right-45 {
    padding-left: var(--kc-padding-45)!important;
    padding-right: var(--kc-padding-45)!important;
}
.kc-padding-left-right-50 {
    padding-left: var(--kc-padding-50)!important;
    padding-right: var(--kc-padding-50)!important;
}
.kc-padding-top-bottom-0 {
    padding-top: var(--kc-padding-0)!important;
    padding-botoom: var(--kc-padding-0)!important;
}
.kc-padding-top-bottom-2 {
    padding-top: var(--kc-padding-2)!important;
    padding-botoom: var(--kc-padding-2)!important;
}
.kc-padding-top-bottom-5 {
    padding-top: var(--kc-padding-5)!important;
    padding-botoom: var(--kc-padding-5)!important;
}
.kc-padding-top-bottom-10 {
    padding-top: var(--kc-padding-10)!important;
    padding-botoom: var(--kc-padding-10)!important;
}
.kc-padding-top-bottom-15 {
    padding-top: var(--kc-padding-15)!important;
    padding-botoom: var(--kc-padding-15)!important;
}
.kc-padding-top-bottom-20 {
    padding-top: var(--kc-padding-20)!important;
    padding-botoom: var(--kc-padding-20)!important;
}
.kc-padding-top-bottom-25 {
    padding-top: var(--kc-padding-25)!important;
    padding-botoom: var(--kc-padding-25)!important;
}
.kc-padding-top-bottom-30 {
    padding-top: var(--kc-padding-30)!important;
    padding-botoom: var(--kc-padding-30)!important;
}
.kc-padding-top-bottom-35 {
    padding-top: var(--kc-padding-35)!important;
    padding-botoom: var(--kc-padding-35)!important;
}
.kc-padding-top-bottom-40 {
    padding-top: var(--kc-padding-40)!important;
    padding-botoom: var(--kc-padding-40)!important;
}
.kc-padding-top-bottom-45 {
    padding-top: var(--kc-padding-45)!important;
    padding-botoom: var(--kc-padding-45)!important;
}
.kc-padding-top-bottom-50 {
    padding-top: var(--kc-padding-50)!important;
    padding-botoom: var(--kc-padding-50)!important;
}

/* Margin */
.kc-margin-all-0 {
    margin: var(--kc-margin-0)!important;
}
.kc-margin-all-2 {
    margin: var(--kc-margin-2)!important;
}
.kc-margin-all-5 {
    margin: var(--kc-margin-5)!important;
}
.kc-margin-all-10 {
    margin: var(--kc-margin-10)!important;
}
.kc-margin-all-15 {
    margin: var(--kc-margin-15)!important;
}
.kc-margin-all-20 {
    margin: var(--kc-margin-20)!important;
}
.kc-margin-all-25 {
    margin: var(--kc-margin-25)!important;
}
.kc-margin-all-30 {
    margin: var(--kc-margin-30)!important;
}
.kc-margin-all-35 {
    margin: var(--kc-margin-35)!important;
}
.kc-margin-all-40 {
    margin: var(--kc-margin-40)!important;
}
.kc-margin-all-45 {
    margin: var(--kc-margin-45)!important;
}
.kc-margin-all-50 {
    margin: var(--kc-margin-50)!important;
}
.kc-margin-top-0 {
    margin-top: var(--kc-margin-0)!important;
}
.kc-margin-top-2 {
    margin-top: var(--kc-margin-2)!important;
}
.kc-margin-top-5 {
    margin-top: var(--kc-margin-5)!important;
}
.kc-margin-top-10 {
    margin-top: var(--kc-margin-10)!important;
}
.kc-margin-top-15 {
    margin-top: var(--kc-margin-15)!important;
}
.kc-margin-top-20 {
    margin-top: var(--kc-margin-20)!important;
}
.kc-margin-top-25 {
    margin-top: var(--kc-margin-25)!important;
}
.kc-margin-top-30 {
    margin-top: var(--kc-margin-30)!important;
}
.kc-margin-top-35 {
    margin-top: var(--kc-margin-35)!important;
}
.kc-margin-top-40 {
    margin-top: var(--kc-margin-40)!important;
}
.kc-margin-top-45 {
    margin-top: var(--kc-margin-45)!important;
}
.kc-margin-top-50 {
    margin-top: var(--kc-margin-50)!important;
}
.kc-margin-top-55 {
    margin-top: var(--kc-margin-55)!important;
}
.kc-margin-top-60 {
    margin-top: var(--kc-margin-60)!important;
}
.kc-margin-top-65 {
    margin-top: var(--kc-margin-65)!important;
}
.kc-margin-top-70 {
    margin-top: var(--kc-margin-70)!important;
}
.kc-margin-top-75 {
    margin-top: var(--kc-margin-75)!important;
}
.kc-margin-top-80 {
    margin-top: var(--kc-margin-80)!important;
}
.kc-margin-right-0 {
    margin-right: var(--kc-margin-0)!important;
}
.kc-margin-right-2 {
    margin-right: var(--kc-margin-2)!important;
}
.kc-margin-right-5 {
    margin-right: var(--kc-margin-5)!important;
}
.kc-margin-right-10 {
    margin-right: var(--kc-margin-10)!important;
}
.kc-margin-right-15 {
    margin-right: var(--kc-margin-15)!important;
}
.kc-margin-right-20 {
    margin-right: var(--kc-margin-20)!important;
}
.kc-margin-right-25 {
    margin-right: var(--kc-margin-25)!important;
}
.kc-margin-right-30 {
    margin-right: var(--kc-margin-30)!important;
}
.kc-margin-right-35 {
    margin-right: var(--kc-margin-35)!important;
}
.kc-margin-right-40 {
    margin-right: var(--kc-margin-40)!important;
}
.kc-margin-right-45 {
    margin-right: var(--kc-margin-45)!important;
}
.kc-margin-right-50 {
    margin-right: var(--kc-margin-50)!important;
}
.kc-margin-bottom-0 {
    margin-bottom: var(--kc-margin-0)!important;
}
.kc-margin-bottom-2 {
    margin-bottom: var(--kc-margin-2)!important;
}
.kc-margin-bottom-5 {
    margin-bottom: var(--kc-margin-5)!important;
}
.kc-margin-bottom-10 {
    margin-bottom: var(--kc-margin-10)!important;
}
.kc-margin-bottom-15 {
    margin-bottom: var(--kc-margin-15)!important;
}
.kc-margin-bottom-20 {
    margin-bottom: var(--kc-margin-20)!important;
}
.kc-margin-bottom-25 {
    margin-bottom: var(--kc-margin-25)!important;
}
.kc-margin-bottom-30 {
    margin-bottom: var(--kc-margin-30)!important;
}
.kc-margin-bottom-35 {
    margin-bottom: var(--kc-margin-35)!important;
}
.kc-margin-bottom-40 {
    margin-bottom: var(--kc-margin-40)!important;
}
.kc-margin-bottom-45 {
    margin-bottom: var(--kc-margin-45)!important;
}
.kc-margin-bottom-50 {
    margin-bottom: var(--kc-margin-50)!important;
}
.kc-margin-left-0 {
    margin-left: var(--kc-margin-0)!important;
}
.kc-margin-left-2 {
    margin-left: var(--kc-margin-2)!important;
}
.kc-margin-left-5 {
    margin-left: var(--kc-margin-5)!important;
}
.kc-margin-left-10 {
    margin-left: var(--kc-margin-10)!important;
}
.kc-margin-left-15 {
    margin-left: var(--kc-margin-15)!important;
}
.kc-margin-left-20 {
    margin-left: var(--kc-margin-20)!important;
}
.kc-margin-left-25 {
    margin-left: var(--kc-margin-25)!important;
}
.kc-margin-left-30 {
    margin-left: var(--kc-margin-30)!important;
}
.kc-margin-left-35 {
    margin-left: var(--kc-margin-35)!important;
}
.kc-margin-left-40 {
    margin-left: var(--kc-margin-40)!important;
}
.kc-margin-left-45 {
    margin-left: var(--kc-margin-45)!important;
}
.kc-margin-left-50 {
    margin-left: var(--kc-margin-50)!important;
}
.kc-margin-left-right-0 {
    margin-left: var(--kc-margin-0)!important;
    margin-right: var(--kc-margin-0)!important;
}
.kc-margin-left-right-5 {
    margin-left: var(--kc-margin-5)!important;
    margin-right: var(--kc-margin-5)!important;
}
.kc-margin-left-right-2 {
    margin-left: var(--kc-margin-2)!important;
    margin-right: var(--kc-margin-2)!important;
}
.kc-margin-left-right-10 {
    margin-left: var(--kc-margin-10)!important;
    margin-right: var(--kc-margin-10)!important;
}
.kc-margin-left-right-15 {
    margin-left: var(--kc-margin-15)!important;
    margin-right: var(--kc-margin-15)!important;
}
.kc-margin-left-right-20 {
    margin-left: var(--kc-margin-20)!important;
    margin-right: var(--kc-margin-20)!important;
}
.kc-margin-left-right-25 {
    margin-left: var(--kc-margin-25)!important;
    margin-right: var(--kc-margin-25)!important;
}
.kc-margin-left-right-30 {
    margin-left: var(--kc-margin-30)!important;
    margin-right: var(--kc-margin-30)!important;
}
.kc-margin-left-right-35 {
    margin-left: var(--kc-margin-35)!important;
    margin-right: var(--kc-margin-35)!important;
}
.kc-margin-left-right-40 {
    margin-left: var(--kc-margin-40)!important;
    margin-right: var(--kc-margin-40)!important;
}
.kc-margin-left-right-45 {
    margin-left: var(--kc-margin-45)!important;
    margin-right: var(--kc-margin-45)!important;
}
.kc-margin-left-right-50 {
    margin-left: var(--kc-margin-50)!important;
    margin-right: var(--kc-margin-50)!important;
}
.kc-margin-top-bottom-0 {
    margin-top: var(--kc-margin-0)!important;
    margin-bottom: var(--kc-margin-0)!important;
}
.kc-margin-top-bottom-2 {
    margin-top: var(--kc-margin-2)!important;
    margin-bottom: var(--kc-margin-2)!important;
}
.kc-margin-top-bottom-5 {
    margin-top: var(--kc-margin-5)!important;
    margin-bottom: var(--kc-margin-5)!important;
}
.kc-margin-top-bottom-10 {
    margin-top: var(--kc-margin-10)!important;
    margin-bottom: var(--kc-margin-10)!important;
}
.kc-margin-top-bottom-15 {
    margin-top: var(--kc-margin-15)!important;
    margin-bottom: var(--kc-margin-15)!important;
}
.kc-margin-top-bottom-20 {
    margin-top: var(--kc-margin-20)!important;
    margin-bottom: var(--kc-margin-20)!important;
}
.kc-margin-top-bottom-25 {
    margin-top: var(--kc-margin-25)!important;
    margin-bottom: var(--kc-margin-25)!important;
}
.kc-margin-top-bottom-30 {
    margin-top: var(--kc-margin-30)!important;
    margin-bottom: var(--kc-margin-30)!important;
}
.kc-margin-top-bottom-35 {
    margin-top: var(--kc-margin-35)!important;
    margin-bottom: var(--kc-margin-35)!important;
}
.kc-margin-top-bottom-40 {
    margin-top: var(--kc-margin-40)!important;
    margin-bottom: var(--kc-margin-40)!important;
}
.kc-margin-top-bottom-45 {
    margin-top: var(--kc-margin-45)!important;
    margin-bottom: var(--kc-margin-45)!important;
}
.kc-margin-top-bottom-50 {
    margin-top: var(--kc-margin-50)!important;
    margin-bottom: var(--kc-margin-50)!important;
}

/*Add Customer Components Action Button*/
.kc-add-customer-action-button {
    padding: 0.5rem 0.625rem;
    margin: 0.0rem;
    font-size: var(--kc-font-size-15);
    font-weight: var(--kc-font-weight-500);
    color: var(--kc-secondary-button-font-color);
}
.kc-add-customer-action-button:hover  {
    color: var(--kc-secondary-button-hover-font-color);    
    cursor: pointer;
}
.kc-add-customer-action-button:focus {
    box-shadow: var(--kc-button-box-shadow);
    background: var(--kc-secondary-button-hover-background-color);
    color: var(--kc-secondary-button-hover-font-color);   
}